# Result Class Reference

A reference counting wrapper for the lazily evaluated query result. More...

`#include <Result.hpp>`

List of all members.

## Public Member Functions

| Result (const Sequence &seq)
| Result (ResultImpl *impl)
| Result (const Result &o)
Result & | operator= (const Result &o)
| ~Result ()
ResultImpl * | operator-> ()
| Returns the underlying ResultImpl object.
const ResultImpl * | operator-> () const
| Returns the underlying ResultImpl object.
ResultImpl * | get ()
| Returns the underlying ResultImpl object.
const ResultImpl * | get () const
| Returns the underlying ResultImpl object.
bool | isNull () const
| Returns true if the underlying pointer is null.
EmptyResult * | getEmpty () const

## Detailed Description

A reference counting wrapper for the lazily evaluated query result.

## Constructor & Destructor Documentation

Result::Result | ( | const Sequence & | seq | ) |

Result::Result | ( | ResultImpl * | impl | ) |

Result::Result | ( | const Result & | o | ) |

Result::~Result | ( |  | ) |

## Member Function Documentation

const ResultImpl * Result::get | ( |  | ) | const`[inline]`

| Returns the underlying ResultImpl object.

ResultImpl * Result::get | ( |  | ) | `[inline]`

| Returns the underlying ResultImpl object.

EmptyResult* Result::getEmpty | ( |  | ) | const

bool Result::isNull | ( |  | ) | const`[inline]`

| Returns true if the underlying pointer is null.

const ResultImpl * Result::operator-> | ( |  | ) | const`[inline]`

| Returns the underlying ResultImpl object.

ResultImpl * Result::operator-> | ( |  | ) | `[inline]`

| Returns the underlying ResultImpl object.

Result & Result::operator= | ( | const Result & | o | ) | `[inline]`

The documentation for this class was generated from the following file:

- Result.hpp